
#include<stdio.h>
#include<windows.h>

// Rotinas CCOM

BOOL OpenSerialPort(char *comm);
DCB GetSerialPortState();
void SetSerialPortState(DCB portDCB);
BOOL WriteSerialPort(char *buffer);
BOOL ReadSerialPort(char *buffer, unsigned int ByteCount);
BOOL CloseSerialPort();

// Change the DCB structure settings.
//  DCB.BaudRate = 1200;              // Current baud 
//  DCB.fBinary = TRUE;               // Binary mode; no EOF check 
//  DCB.fParity = TRUE;               // Enable parity checking. 
//  DCB.fOutxCtsFlow = FALSE;         // No CTS output flow control 
//  DCB.fOutxDsrFlow = FALSE;         // No DSR output flow control 
//  DCB.fDtrControl = DTR_CONTROL_ENABLE; 
                                        // DTR flow control type 
//  DCB.fDsrSensitivity = FALSE;      // DSR sensitivity 
//  DCB.fTXContinueOnXoff = TRUE;     // XOFF continues Tx 
//  DCB.fOutX = FALSE;                // No XON/XOFF out flow control 
//  DCB.fInX = FALSE;                 // No XON/XOFF in flow control 
//  DCB.fErrorChar = FALSE;           // Disable error replacement. 
//  DCB.fNull = FALSE;                // Disable null stripping. 
//  DCB.fRtsControl = RTS_CONTROL_ENABLE; 
                                        // RTS flow control 
//  DCB.fAbortOnError = FALSE;        // Do not abort reads/writes on 
                                        // error.
//  DCB.ByteSize = 8;                 // Number of bits/bytes, 4-8 
//  DCB.Parity = NOPARITY;            // 0-4=no,odd,even,mark,space 
//  DCB.StopBits = ONESTOPBIT;        // 0,1,2 = 1, 1.5, 2 
